
#ifndef PLATFORM_WIN32_KEYBOARD_H
#define PLATFORM_WIN32_KEYBOARD_H

#include <windows.h>
#include <Spectre/Input/Keyboard.h>

class Win32Keyboard : public Keyboard
{
public :
	void init();

	bool isKeyDown(Key::Type key);

	static bool handleMessage(MSG message);

protected :

	void update(InputModule *input);

protected :

	bool m_btnState[Key::NUM_KEYS];

	bool m_hasFocus;
};

#endif /* PLATFORM_WIN32_KEYBOARD_H */
